de.esprit.appsuite.nls

## Class DynamicDatabaseKey

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.nls.DynamicDatabaseKey

- All Implemented Interfaces:
    NlsDatabaseKey, NlsKey, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    DBColumnKey

      public class DynamicDatabaseKey
      extends TransferableObject
      implements NlsDatabaseKey

  This class provides a way for untranslated fieldNames
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicDatabaseKey(java.lang.String appKey, DBRecord master)`
    `DynamicDatabaseKey(java.lang.String appKey, DBRecord master, java.lang.String columnName)`
    `DynamicDatabaseKey(java.lang.String appKey, java.lang.String tableColumnName)`
    `DynamicDatabaseKey(java.lang.String appKey, java.lang.String tableName, java.lang.String columnName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Compares table and column names case insensitive.
    `boolean` | `equals(java.lang.String fullColumnName)` Special equals method which compares with a full table.column name for convenience
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getColumnName()`
    `java.lang.String` | `getFullName()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getTableName()`
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `getTipText()`
    `java.lang.String` | `getTranslationKey()`
    `int` | `hashCode()`
    `java.lang.String` | `name()` Returns the full tableColumn name in upper case letters
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `java.lang.String` | `toString()` Returns the simple columnName (no additional debug info).

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicDatabaseKey

          public DynamicDatabaseKey(java.lang.String appKey,
                            java.lang.String tableColumnName)

    - #### DynamicDatabaseKey

          public DynamicDatabaseKey(java.lang.String appKey,
                            DBRecord master,
                            java.lang.String columnName)

    - #### DynamicDatabaseKey

          public DynamicDatabaseKey(java.lang.String appKey,
                            DBRecord master)

    - #### DynamicDatabaseKey

          public DynamicDatabaseKey(java.lang.String appKey,
                            java.lang.String tableName,
                            java.lang.String columnName)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.String fullColumnName)

      Special equals method which compares with a full table.column name for convenience
      Specified by:
        `equals` in interface `NlsDatabaseKey`

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getTranslationKey

          public java.lang.String getTranslationKey()

    - #### getTableName

          public java.lang.String getTableName()

      Specified by:
        `getTableName` in interface `NlsDatabaseKey`

    - #### getColumnName

          public java.lang.String getColumnName()

      Specified by:
        `getColumnName` in interface `NlsDatabaseKey`

    - #### getFullName

          public java.lang.String getFullName()

      Specified by:
        `getFullName` in interface `NlsDatabaseKey`

    - #### getTipText

          public java.lang.String getTipText()

      Specified by:
        `getTipText` in interface `NlsDatabaseKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### name

          public java.lang.String name()

      Returns the full tableColumn name in upper case letters
      Specified by:
        `name` in interface `NlsKey`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Compares table and column names case insensitive.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public final java.lang.String toString()

      Returns the simple columnName (no additional debug info). Is used in `SqlCondition` etc.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`
      See Also:
        `DumpableObject.toDumpString()`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.